commit:     b3a818cd797e2ccf8a91ced4c6d356b001819394
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 16 04:54:41 2017 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Fri Jun 16 06:25:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3a818cd

net-proxy/squid: bump to 3.5.26

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 net-proxy/squid/Manifest                       |   1 +
 net-proxy/squid/files/squid-cppunit-1.14.patch | 417 +++++++++++++++++++++++++
 net-proxy/squid/squid-3.5.26.ebuild            | 241 ++++++++++++++
 3 files changed, 659 insertions(+)

diff --git a/net-proxy/squid/Manifest b/net-proxy/squid/Manifest
index 9c27650a530..9d5514e53e0 100644
--- a/net-proxy/squid/Manifest
+++ b/net-proxy/squid/Manifest
@@ -1,3 +1,4 @@
 DIST squid-3.5.23.tar.xz 2325884 SHA256 
fa4c0c99f41e92fe1330bed3968d176c6f47ef2e3aea2f83977d5501afa40bdb SHA512 
3f2b3df60fc0b2aab3d0d9e3489832d60d0aac8222f09ad2ff6afb95202b904f41f6530d713e7ce446c6f62b66f0cd792a6b12005d43c53fe68d2371f9caa880
 WHIRLPOOL 
39338be97e3357759b9062e3c3b353a2118ca910e56584e73560489078e76a42b230ac24468ea62f6e3df7de210492beda54b0c178804c097d4b303d16cd2914
 DIST squid-3.5.24.tar.xz 2326424 SHA256 
4fe29f582eef357faa541a53835b6885e24e6f28b80a3abcdf3b57f5393bbdb2 SHA512 
912a0882c71ba170e7c2eccf940cfca87d7fd0a6026a7aaa9dddacc1e17590809ad449e15913d180d5ce5b8d2828a68247ab920a4a499f3ee29ddd464e29344f
 WHIRLPOOL 
1d245ee3bd6eff69b201ee1c57671617d06e36663d38d44bf4335ca1ebee251c0983f1f041c00cc823d7c5fc04d0a3725197beac407e2bfcfe81f679bc96f3a0
 DIST squid-3.5.25.tar.xz 2327316 SHA256 
28959254c32b8cd87e9599b6beb97352cf0638524e0f5ac3e1754f08462f3585 SHA512 
9adfadd962954537c3364543ce4ca862e6f60801f1fb80bc3b74fbd99b60219aed4756affff8f7d956337f4b573d0ebecad01f689d0c6554aa2958f5bcfb972f
 WHIRLPOOL 
d29a4591fc8521e3ebd864d547c86341136b1aefa7679d35a01e5fcc102b4dfe1e340089f9e7ba9489911fbcd6a1e61a4715e1669348aa6e8a4379471ab18ec6
+DIST squid-3.5.26.tar.xz 2328352 SHA256 
baa1eecb7d6e18881f4455060d80ee7cb95ae7e2695fdccf7e21ccc8f879a982 SHA512 
08fc7fb5d1dea8d91cc318e5be9044fd75c69d0d2053a0c79ab594155aeb4a0f48bb0ff1dd754497485dc8db117b71f1787b0265842cf61b474293d5d38a9222
 WHIRLPOOL 
4d069b5beb91a0c688dacd72067f360a22bbf5565705c4d0a4ee9c6131c857adcbaa2130b0785f242bde23902cd32344f3c264f46f567088283f3de65d6acbd0

diff --git a/net-proxy/squid/files/squid-cppunit-1.14.patch 
b/net-proxy/squid/files/squid-cppunit-1.14.patch
new file mode 100644
index 00000000000..f31268fc61d
--- /dev/null
+++ b/net-proxy/squid/files/squid-cppunit-1.14.patch
@@ -0,0 +1,417 @@
+# backport rev 14707 from trunk
+--- Makefile.am        2016-01-30 09:09:25 +0000
++++ Makefile.am        2016-06-13 07:46:59 +0000
+@@ -48,7 +48,7 @@
+ check: have-cppunit check-recursive
+ 
+ have-cppunit:
+-      @if test "$(SQUID_CPPUNIT_INC)$(SQUID_CPPUNIT_LA)$(SQUID_CPPUNIT_LIBS)" 
= "" ; then \
++      @if test "$(LIBCPPUNIT_CFLAGS)$(LIBCPPUNIT_LIBS)" = "" ; then \
+               echo "FATAL: 'make check' requires cppunit and cppunit 
development packages. They do not appear to be installed." ; \
+               exit 1 ; \
+       fi
+
+--- compat/Makefile.am 2016-02-09 08:57:33 +0000
++++ compat/Makefile.am 2016-06-13 07:46:59 +0000
+@@ -94,7 +94,7 @@
+ testPreCompiler_SOURCES= \
+       testPreCompiler.h \
+       testPreCompiler.cc
+-testPreCompiler_LDADD= $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS)
++testPreCompiler_LDADD= $(LIBCPPUNIT_LIBS)
+ testPreCompiler_LDFLAGS=
+ 
+ # os/ subdir prevents us using src/TestHeaders.am
+
+--- configure.ac       2016-06-11 05:28:18 +0000
++++ configure.ac       2016-06-13 07:46:59 +0000
+@@ -115,10 +115,11 @@
+ AC_PATH_PROG(CHMOD, chmod, $FALSE)
+ AC_PATH_PROG(TR, tr, $FALSE)
+ AC_PATH_PROG(RM, rm, $FALSE)
+-AC_PATH_PROG(CPPUNITCONFIG, cppunit-config, false)
+ dnl Libtool 2.2.6 requires: rm -f
+ RM="$RM -f"
+ 
++PKG_PROG_PKG_CONFIG
++
+ AC_PATH_PROG(PERL, perl, none)
+ if test "x$ac_cv_path_PERL" = "xnone"; then
+   AC_MSG_FAILURE([Perl is required to compile Squid. Please install Perl and 
then re-run configure ])
+@@ -984,9 +985,6 @@
+     ]
+ )
+ 
+-dnl Necessary if the first PKG_CHECK_MODULES call is conditional
+-PKG_PROG_PKG_CONFIG
+-
+ dnl Perform configuration consistency checks for eCAP
+ if test "x$squid_opt_use_ecap" != "xno";
+ then
+@@ -2725,45 +2723,29 @@
+                       [Enable support for the X-Accelerator-Vary HTTP header])
+ AC_MSG_NOTICE([X-Accelerator-Vary support enabled: 
$enable_x_accelerator_vary])
+ 
+-
+-if $CPPUNITCONFIG --help >/dev/null; then
+-  squid_cv_cppunit_version="`$CPPUNITCONFIG --version`"
+-  AC_MSG_NOTICE([using system installed cppunit version 
$squid_cv_cppunit_version])
+-  unset squid_cv_cppunit_version
+-  SQUID_CPPUNIT_LIBS="`$CPPUNITCONFIG --libs`"
+-  SQUID_CPPUNIT_LA=''
+-  SQUID_CPPUNIT_INC="`$CPPUNITCONFIG --cflags`"
+-else
+-  AC_MSG_WARN([cppunit does not appear to be installed. squid does not 
require this, but code testing with 'make check' will fail.])
+-  SQUID_CPPUNIT_LA='' 
+-  SQUID_CPPUNIT_LIBS=''
+-  SQUID_CPPUNIT_INC=''
+-fi
+-
+-AC_ARG_WITH(cppunit-basedir,
+-  AS_HELP_STRING([--with-cppunit-basedir=PATH],
+-              [Path where the cppunit headers are libraries can be found ]), [
+-if test -f "$withval/include/cppunit/TestCase.h"; then
+-  AC_MSG_NOTICE([Using cppunit includes from $withval])
+-  SQUID_CPPUNIT_INC="-I${withval}/include"
+-else
+-  AC_MSG_ERROR(Cannot find cppunit at $withval)
+-fi
+-if test -f "$withval/lib/libcppunit.la"; then
+-  AC_MSG_NOTICE([Using cppunit lib from $withval])
+-  SQUID_CPPUNIT_LA="${withval}/lib/libcppunit.la"
+-  SQUID_CPPUNIT_LIBS='$(SQUID_CPPUNIT_LA)'
+-else
+-  AC_MSG_ERROR(Cannot find cppunit at $withval)
+-fi
+-])
+-SQUID_STATE_SAVE(squid_cppunit_state)
+-CXXFLAGS="$CXXFLAGS $SQUID_CPPUNIT_INC"
+-AC_CHECK_HEADERS(cppunit/extensions/HelperMacros.h)
+-SQUID_STATE_ROLLBACK(squid_cppunit_state)
+-AC_SUBST(SQUID_CPPUNIT_LIBS)
+-AC_SUBST(SQUID_CPPUNIT_LA)
+-AC_SUBST(SQUID_CPPUNIT_INC)
++AC_ARG_WITH([cppunit], AS_HELP_STRING([--without-cppunit],[Do not use cppunit 
test framework]),[
++  AS_CASE($with_cppunit, [yes|no],[],
++   [
++    AS_IF([test ! -d "$withval"],AC_MSG_ERROR([--with-cppunit PATH does not 
point to a directory]))
++    LIBCPPUNIT_CFLAGS="-I$with_cppunit/include"
++    LIBCPPUNIT_LIBS="-L$with_cppunit/lib -lcppunit"
++  ])
++])
++AS_IF([test "x$with_cppunit" != "xno"],[
++  PKG_CHECK_MODULES([LIBCPPUNIT],[cppunit],[
++    squid_cv_cppunit_version="`pkg-config cppunit --version`"
++    AC_MSG_NOTICE([using system installed cppunit version 
$squid_cv_cppunit_version])
++    AS_UNSET(squid_cv_cppunit_version)
++
++    SQUID_STATE_SAVE(squid_cppunit_state)
++    AS_VAR_APPEND(CXXFLAGS,[$LIBCPPUNIT_CFLAGS])
++    AS_VAR_APPEND(LIBS,[$LIBCPPUNIT_LIBS])
++    AC_CHECK_HEADERS(cppunit/extensions/HelperMacros.h)
++    SQUID_STATE_ROLLBACK(squid_cppunit_state)
++  ],[
++    AC_MSG_WARN([cppunit does not appear to be installed. Squid does not 
require this, but code testing with 'make check' will fail.])
++  ])
++])
+ 
+ # Force some compilers to use ANSI features
+ #
+
+--- src/Common.am      2017-06-01 16:49:00.000000000 +0300
++++ src/Common.am      2017-06-15 16:10:20.000000000 +0300
+@@ -26,7 +26,7 @@
+       -I$(top_srcdir)/lib \
+       -I$(top_srcdir)/src \
+       -I$(top_builddir)/include \
+-      $(SQUID_CPPUNIT_INC)
++      $(LIBCPPUNIT_CFLAGS)
+ 
+ ## Kerberos headers require their include path.
+ ## Because we use libcompat for comm_err.h header protections ...
+--- src/Makefile.am    2017-06-01 16:49:00.000000000 +0300
++++ src/Makefile.am    2017-06-15 16:38:40.000000000 +0300
+@@ -1112,9 +1112,9 @@
+ #     $(TESTSOURCES)
+ #tests_testX_LDFLAGS = $(LIBADD_DL)
+ #tests_testX_LDADD=\
+-#     $(SQUID_CPPUNIT_LIBS) \
+-#     $(SQUID_CPPUNIT_LA) \
+-#     $(COMPAT_LIB) \
++#      $(LIBCPPUNIT_LIBS) \
++#      $(COMPAT_LIB) \
++#      $(XTRA_LIBS)
+ #tests_testX_DEPENDENCIES= $(SQUID_CPPUNIT_LA)
+ 
+ 
+@@ -1221,8 +1221,7 @@
+       $(top_builddir)/lib/libmisccontainers.la \
+       $(top_builddir)/lib/libmiscencoding.la \
+       $(top_builddir)/lib/libmiscutil.la \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
++      $(LIBCPPUNIT_LIBS) \
+       $(NETTLELIB) \
+       $(SSLLIB) \
+       $(COMPAT_LIB) \
+@@ -1363,7 +1362,7 @@
+       $(DISK_OS_LIBS) \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(SSLLIB) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+@@ -1383,14 +1382,14 @@
+       tests/stub_MemBuf.cc \
+       $(TESTSOURCES)
+ tests_testBoilerplate_LDADD= \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
+       base/libbase.la \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testBoilerplate_LDFLAGS = $(LIBADD_DL)
+ tests_testBoilerplate_DEPENDENCIES = \
+-      $(SQUID_CPPUNIT_LA)
++      $(LIBCPPUNIT_LIBS)
+ 
+ ## Tests of base/libbase.la objects
+ tests_testCharacterSet_SOURCES = \
+@@ -1405,9 +1404,8 @@
+ tests_testCharacterSet_LDFLAGS = $(LIBADD_DL)
+ tests_testCharacterSet_LDADD= \
+       base/libbase.la \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+-      $(SQUID_CPPUNIT_LA) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(XTRA_LIBS)
+ 
+ ## Tests of the CacheManager module.
+@@ -1646,8 +1644,7 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
++      $(LIBCPPUNIT_LIBS) \
+       $(SSLLIB) \
+       $(KRB5LIBS) \
+       $(COMPAT_LIB) \
+@@ -1829,8 +1826,8 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ 
+@@ -2076,9 +2073,8 @@
+       $(SNMP_LIBS) \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(KRB5LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+@@ -2323,10 +2319,9 @@
+       $(SNMP_LIBS) \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+       $(SSLLIB) \
+       $(KRB5LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testEventLoop_LDFLAGS = $(LIBADD_DL)
+@@ -2564,10 +2559,9 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+       $(SSLLIB) \
+       $(KRB5LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_test_http_range_LDFLAGS = $(LIBADD_DL)
+@@ -2613,7 +2607,7 @@
+       base/libbase.la \
+       ip/libip.la \
+       $(top_builddir)/lib/libmiscutil.la \
+-      $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testHttpParser_LDFLAGS = $(LIBADD_DL)
+@@ -2639,9 +2633,8 @@
+       parser/libsquid-parser.la \
+       base/libbase.la \
+       $(top_builddir)/lib/libmiscutil.la \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+-      $(SQUID_CPPUNIT_LA) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(XTRA_LIBS)
+ 
+ ## Tests of the HttpRequest module.
+@@ -2875,10 +2868,9 @@
+       $(DISK_OS_LIBS) \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+       $(SSLLIB) \
+       $(KRB5LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testHttpRequest_LDFLAGS = $(LIBADD_DL)
+@@ -2902,9 +2894,8 @@
+       icmp/libicmp-core.la \
+       ip/libip.la \
+       base/libbase.la \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+-      $(SQUID_CPPUNIT_LA) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(XTRA_LIBS)
+ 
+ ## Tests for ip/* objects
+@@ -2918,9 +2909,8 @@
+ tests_testIpAddress_LDADD= \
+       ip/libip.la \
+       base/libbase.la \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+-      $(SQUID_CPPUNIT_LA) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(XTRA_LIBS)
+ tests_testIpAddress_LDFLAGS= $(LIBADD_DL)
+ 
+@@ -3087,10 +3077,10 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
+       CommCalls.o \
+       DnsLookupDetails.o \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testStore_LDFLAGS = $(LIBADD_DL)
+@@ -3130,8 +3120,8 @@
+       ip/libip.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testString_LDFLAGS = $(LIBADD_DL)
+@@ -3326,8 +3316,8 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testUfs_LDFLAGS = $(LIBADD_DL)
+@@ -3506,8 +3496,8 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testRock_LDFLAGS = $(AM_CPPFLAGS) $(LIBADD_DL)
+@@ -3751,10 +3741,9 @@
+       $(top_builddir)/lib/libmiscutil.la \
+       $(NETTLELIB) \
+       $(COMPAT_LIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+       $(SSLLIB) \
+       $(KRB5LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testURL_LDFLAGS = $(LIBADD_DL)
+@@ -3794,7 +3783,7 @@
+       mgr/libmgr.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testSBuf_DEPENDENCIES= $(SQUID_CPPUNIT_LA)
+@@ -3838,7 +3827,7 @@
+       ip/libip.la \
+       mgr/libmgr.la \
+       $(top_builddir)/lib/libmiscutil.la \
+-      $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testSBufList_DEPENDENCIES= $(SQUID_CPPUNIT_LA)
+@@ -3876,8 +3865,8 @@
+       ip/libip.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(REGEXLIB) \
+-      $(SQUID_CPPUNIT_LIBS) \
+       $(SSLLIB) \
++      $(LIBCPPUNIT_LIBS) \
+       $(COMPAT_LIB) \
+       $(XTRA_LIBS)
+ tests_testConfigParser_LDFLAGS = $(LIBADD_DL)
+@@ -3922,9 +3911,9 @@
+       base/libbase.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(top_builddir)/lib/libmisccontainers.la \
+-      $(SQUID_CPPUNIT_LIBS) \
+-      $(SQUID_CPPUNIT_LA) \
+-      $(COMPAT_LIB)
++      $(LIBCPPUNIT_LIBS) \
++      $(COMPAT_LIB) \
++      $(XTRA_LIBS)
+ tests_testStatHist_DEPENDENCIES = $(SQUID_CPPUNIT_LA)
+ 
+ TESTS += testHeaders
+--- lib/Makefile.am    2017-06-01 16:49:00.000000000 +0300
++++ lib/Makefile.am    2017-06-16 07:19:54.000000000 +0300
+@@ -91,7 +91,7 @@
+       tests/testRFC1035.cc
+ 
+ tests_testRFC1035_LDADD= \
+-      $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(top_builddir)/lib/libmiscencoding.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(COMPAT_LIB)
+@@ -103,7 +103,7 @@
+       tests/testRFC1738.cc
+ 
+ tests_testRFC1738_LDADD= \
+-      $(SQUID_CPPUNIT_LA) $(SQUID_CPPUNIT_LIBS) \
++      $(LIBCPPUNIT_LIBS) \
+       $(top_builddir)/lib/libmiscencoding.la \
+       $(top_builddir)/lib/libmiscutil.la \
+       $(COMPAT_LIB)

diff --git a/net-proxy/squid/squid-3.5.26.ebuild 
b/net-proxy/squid/squid-3.5.26.ebuild
new file mode 100644
index 00000000000..fd4366d2d16
--- /dev/null
+++ b/net-proxy/squid/squid-3.5.26.ebuild
@@ -0,0 +1,241 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools linux-info pam toolchain-funcs user
+
+DESCRIPTION="A full-featured web proxy cache"
+HOMEPAGE="http://www.squid-cache.org/";
+SRC_URI="http://www.squid-cache.org/Versions/v3/3.5/${P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd"
+IUSE="caps ipv6 pam ldap libressl samba sasl kerberos nis radius ssl snmp 
selinux logrotate test \
+       ecap esi ssl-crtd \
+       mysql postgres sqlite \
+       qos tproxy \
+       +htcp +wccp +wccpv2 \
+       pf-transparent ipf-transparent kqueue \
+       elibc_uclibc kernel_linux"
+
+COMMON_DEPEND="caps? ( >=sys-libs/libcap-2.16 )
+       pam? ( virtual/pam )
+       ldap? ( net-nds/openldap )
+       kerberos? ( virtual/krb5 )
+       qos? ( net-libs/libnetfilter_conntrack )
+       ssl? (
+               libressl? ( dev-libs/libressl:0 )
+               !libressl? ( dev-libs/openssl:0 )
+               dev-libs/nettle >=net-libs/gnutls-3.1.5 )
+       sasl? ( dev-libs/cyrus-sasl )
+       ecap? ( net-libs/libecap:1 )
+       esi? ( dev-libs/expat dev-libs/libxml2 )
+       !x86-fbsd? ( logrotate? ( app-admin/logrotate ) )
+       >=sys-libs/db-4:*
+       dev-lang/perl
+       dev-libs/libltdl:0"
+DEPEND="${COMMON_DEPEND}
+       ecap? ( virtual/pkgconfig )
+       test? ( dev-util/cppunit )"
+RDEPEND="${COMMON_DEPEND}
+       samba? ( net-fs/samba )
+       mysql? ( dev-perl/DBD-mysql )
+       postgres? ( dev-perl/DBD-Pg )
+       selinux? ( sec-policy/selinux-squid )
+       sqlite? ( dev-perl/DBD-SQLite )
+       !<=sci-biology/meme-4.8.1-r1"
+
+REQUIRED_USE="tproxy? ( caps )
+                       qos? ( caps )"
+
+pkg_pretend() {
+       if use tproxy; then
+               local CONFIG_CHECK="~NF_CONNTRACK ~NETFILTER_XT_MATCH_SOCKET 
~NETFILTER_XT_TARGET_TPROXY"
+               linux-info_pkg_setup
+       fi
+}
+
+pkg_setup() {
+       enewgroup squid
+       enewuser squid -1 -1 /var/cache/squid squid
+}
+
+src_prepare() {
+       eapply "${FILESDIR}/${PN}-3.5.7-gentoo.patch"
+       eapply -p0 "${FILESDIR}/${PN}-cppunit-1.14.patch"
+       sed -i -e 's:/usr/local/squid/etc:/etc/squid:' \
+               INSTALL QUICKSTART \
+               scripts/fileno-to-pathname.pl \
+               scripts/check_cache.pl \
+               tools/cachemgr.cgi.8 \
+               tools/purge/conffile.hh \
+               tools/purge/README  || die
+       sed -i -e 's:/usr/local/squid/sbin:/usr/sbin:' \
+               INSTALL QUICKSTART || die
+       sed -i -e 's:/usr/local/squid/var/cache:/var/cache/squid:' \
+               QUICKSTART || die
+       sed -i -e 's:/usr/local/squid/var/logs:/var/log/squid:' \
+               QUICKSTART \
+               src/log/access_log.cc || die
+       sed -i -e 's:/usr/local/squid/logs:/var/log/squid:' \
+               src/log/access_log.cc || die
+       sed -i -e 's:/usr/local/squid/libexec:/usr/libexec/squid:' \
+               helpers/external_acl/unix_group/ext_unix_group_acl.8 \
+               helpers/external_acl/session/ext_session_acl.8 \
+               src/ssl/ssl_crtd.8 || die
+       sed -i -e 's:/usr/local/squid/cache:/var/cache/squid:' \
+               scripts/check_cache.pl || die
+       sed -i -e 's:/usr/local/squid/ssl_cert:/etc/ssl/squid:' \
+               src/ssl/ssl_crtd.8 || die
+       sed -i -e 's:/usr/local/squid/var/lib/ssl_db:/var/lib/squid/ssl_db:' \
+               src/ssl/ssl_crtd.8 || die
+       sed -i -e 's:/var/lib/ssl_db:/var/lib/squid/ssl_db:' \
+               src/ssl/ssl_crtd.8 || die
+       # /var/run/squid to /run/squid
+       sed -i -e 's:$(localstatedir)::' \
+               src/ipc/Makefile.am || die
+       sed -i -e 's:_LTDL_SETUP:LTDL_INIT([installable]):' \
+               libltdl/configure.ac || die
+
+       eapply_user
+       eautoreconf
+}
+
+src_configure() {
+       local basic_modules="MSNT-multi-domain,NCSA,POP3,getpwnam"
+       use samba && basic_modules+=",SMB"
+       use ldap && basic_modules+=",LDAP"
+       use pam && basic_modules+=",PAM"
+       use sasl && basic_modules+=",SASL"
+       use nis && ! use elibc_uclibc && basic_modules+=",NIS"
+       use radius && basic_modules+=",RADIUS"
+       if use mysql || use postgres || use sqlite ; then
+               basic_modules+=",DB"
+       fi
+
+       local digest_modules="file"
+       use ldap && digest_modules+=",LDAP,eDirectory"
+
+       local negotiate_modules="none"
+       local myconf="--without-mit-krb5 --without-heimdal-krb5"
+       if use kerberos ; then
+               negotiate_modules="kerberos,wrapper"
+               if has_version app-crypt/heimdal ; then
+                       myconf="--without-mit-krb5 --with-heimdal-krb5"
+               else
+                       myconf="--with-mit-krb5 --without-heimdal-krb5"
+               fi
+       fi
+
+       local ntlm_modules="none"
+       use samba && ntlm_modules="smb_lm"
+
+       local ext_helpers="file_userip,session,unix_group"
+       use samba && ext_helpers+=",wbinfo_group"
+       use ldap && ext_helpers+=",LDAP_group,eDirectory_userip"
+       use ldap && use kerberos && ext_helpers+=",kerberos_ldap_group"
+
+       local storeio_modules="aufs,diskd,rock,ufs"
+
+       local transparent
+       if use kernel_linux ; then
+               transparent+=" --enable-linux-netfilter"
+               use qos && transparent+=" --enable-zph-qos 
--with-netfilter-conntrack"
+       fi
+
+       if use kernel_FreeBSD || use kernel_OpenBSD || use kernel_NetBSD ; then
+               transparent+=" $(use_enable kqueue)"
+               if use pf-transparent; then
+                       transparent+=" --enable-pf-transparent"
+               elif use ipf-transparent; then
+                       transparent+=" --enable-ipf-transparent"
+               fi
+       fi
+
+       tc-export CC AR
+
+       econf \
+               --sysconfdir=/etc/squid \
+               --libexecdir=/usr/libexec/squid \
+               --localstatedir=/var \
+               --with-pidfile=/run/squid.pid \
+               --datadir=/usr/share/squid \
+               --with-logdir=/var/log/squid \
+               --with-default-user=squid \
+               --enable-removal-policies="lru,heap" \
+               --enable-storeio="${storeio_modules}" \
+               --enable-disk-io \
+               --enable-auth-basic="${basic_modules}" \
+               --enable-auth-digest="${digest_modules}" \
+               --enable-auth-ntlm="${ntlm_modules}" \
+               --enable-auth-negotiate="${negotiate_modules}" \
+               --enable-external-acl-helpers="${ext_helpers}" \
+               --enable-log-daemon-helpers \
+               --enable-url-rewrite-helpers \
+               --enable-cache-digests \
+               --enable-delay-pools \
+               --enable-eui \
+               --enable-icmp \
+               --enable-follow-x-forwarded-for \
+               --with-large-files \
+               --disable-strict-error-checking \
+               --disable-arch-native \
+               --with-ltdl-includedir=/usr/include \
+               --with-ltdl-libdir=/usr/$(get_libdir) \
+               $(use_with caps libcap) \
+               $(use_enable ipv6) \
+               $(use_enable snmp) \
+               $(use_with ssl openssl) \
+               $(use_with ssl nettle) \
+               $(use_with ssl gnutls) \
+               $(use_enable ssl-crtd) \
+               $(use_enable ecap) \
+               $(use_enable esi) \
+               $(use_enable htcp) \
+               $(use_enable wccp) \
+               $(use_enable wccpv2) \
+               ${transparent} \
+               ${myconf}
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       # need suid root for looking into /etc/shadow
+       fowners root:squid /usr/libexec/squid/basic_ncsa_auth
+       fperms 4750 /usr/libexec/squid/basic_ncsa_auth
+       if use pam; then
+               fowners root:squid /usr/libexec/squid/basic_pam_auth
+               fperms 4750 /usr/libexec/squid/basic_pam_auth
+       fi
+       # pinger needs suid as well
+       fowners root:squid /usr/libexec/squid/pinger
+       fperms 4750 /usr/libexec/squid/pinger
+
+       # cleanup
+       rm -f "${D}"/usr/bin/Run*
+       rm -rf "${D}"/run/squid "${D}"/var/cache/squid
+
+       dodoc CONTRIBUTORS CREDITS ChangeLog INSTALL QUICKSTART README SPONSORS 
doc/*.txt
+       newdoc helpers/negotiate_auth/kerberos/README README.kerberos
+       newdoc helpers/basic_auth/RADIUS/README README.RADIUS
+       newdoc helpers/external_acl/kerberos_ldap_group/README 
README.kerberos_ldap_group
+       newdoc tools/purge/README README.purge
+       newdoc tools/helper-mux.README README.helper-mux
+       dodoc RELEASENOTES.html
+
+       newpamd "${FILESDIR}/squid.pam" squid
+       newconfd "${FILESDIR}/squid.confd-r1" squid
+       newinitd "${FILESDIR}/squid.initd-r4" squid
+       if use logrotate; then
+               insinto /etc/logrotate.d
+               newins "${FILESDIR}/squid.logrotate" squid
+       else
+               exeinto /etc/cron.weekly
+               newexe "${FILESDIR}/squid.cron" squid.cron
+       fi
+
+       diropts -m0750 -o squid -g squid
+       keepdir /var/log/squid /etc/ssl/squid /var/lib/squid
+}

Reply via email to